#!/usr/bin/env python
"""
DefaultApi.py
Copyright 2015 SmartBear Software

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

NOTE: This class is auto generated by the swagger code generator program. Do not edit the class manually.
"""
import sys
import os

from .models import *


class DefaultApi(object):

    def __init__(self, apiClient):
      self.apiClient = apiClient

    
    
    def balance_get(self, **kwargs):
        """Аккаунт: баланс
        Возвращает текущий баланс аккаунта

        Args:
            _token_, str: Ключ доступа, полученный при авторизации (required)
            

        Returns: number
        """

        allParams = ['_token_']

        params = locals()
        for (key, val) in params['kwargs'].items():
            if key not in allParams:
                raise TypeError("Got an unexpected keyword argument '%s' to method balance_get" % key)
            params[key] = val
        del params['kwargs']

        resourcePath = '/balance'
        resourcePath = resourcePath.replace('{format}', 'json')
        method = 'GET'

        queryParams = {}
        headerParams = {}

        
        if ('_token_' in params):
            queryParams['_token_'] = self.apiClient.toPathValue(params['_token_'])
        

        

        

        postData = (params['body'] if 'body' in params else None)

        response = self.apiClient.callAPI(resourcePath, method, queryParams,
                                          postData, headerParams)

        
        if not response:
            return None

        responseObject = self.apiClient.deserialize(response, 'number')
        return responseObject
        
        
        
    
    def balance/lic_get(self, **kwargs):
        """Аккаунт: баланс аккаунта лицензий
        Возвращает текущий баланс аккаунта лицензий

        Args:
            _token_, str: Ключ доступа, полученный при авторизации (required)
            

        Returns: number
        """

        allParams = ['_token_']

        params = locals()
        for (key, val) in params['kwargs'].items():
            if key not in allParams:
                raise TypeError("Got an unexpected keyword argument '%s' to method balance/lic_get" % key)
            params[key] = val
        del params['kwargs']

        resourcePath = '/balance.lic'
        resourcePath = resourcePath.replace('{format}', 'json')
        method = 'GET'

        queryParams = {}
        headerParams = {}

        
        if ('_token_' in params):
            queryParams['_token_'] = self.apiClient.toPathValue(params['_token_'])
        

        

        

        postData = (params['body'] if 'body' in params else None)

        response = self.apiClient.callAPI(resourcePath, method, queryParams,
                                          postData, headerParams)

        
        if not response:
            return None

        responseObject = self.apiClient.deserialize(response, 'number')
        return responseObject
        
        
        
    
    def billing_debt_get(self, **kwargs):
        """Информация по дебету аккаунта
        Данный запрос позволяет получить информацию по планируемым датам наступления негативного баланса и отключения

        Args:
            _token_, str: Ключ доступа, полученный при авторизации (required)
            

        Returns: list[object]
        """

        allParams = ['_token_']

        params = locals()
        for (key, val) in params['kwargs'].items():
            if key not in allParams:
                raise TypeError("Got an unexpected keyword argument '%s' to method billing_debt_get" % key)
            params[key] = val
        del params['kwargs']

        resourcePath = '/billing/debt'
        resourcePath = resourcePath.replace('{format}', 'json')
        method = 'GET'

        queryParams = {}
        headerParams = {}

        
        if ('_token_' in params):
            queryParams['_token_'] = self.apiClient.toPathValue(params['_token_'])
        

        

        

        postData = (params['body'] if 'body' in params else None)

        response = self.apiClient.callAPI(resourcePath, method, queryParams,
                                          postData, headerParams)

        
        if not response:
            return None

        responseObject = self.apiClient.deserialize(response, 'list[object]')
        return responseObject
        
        
        
    
    def billing_info_get(self, **kwargs):
        """Информация об аккаунте
        Этот запрос позволяет получить информацию об аккаунте, а также базовую статистику использования ресурсов.

        Args:
            _token_, str: Ключ доступа, полученный при авторизации (required)
            

        Returns: list[object]
        """

        allParams = ['_token_']

        params = locals()
        for (key, val) in params['kwargs'].items():
            if key not in allParams:
                raise TypeError("Got an unexpected keyword argument '%s' to method billing_info_get" % key)
            params[key] = val
        del params['kwargs']

        resourcePath = '/billing/info'
        resourcePath = resourcePath.replace('{format}', 'json')
        method = 'GET'

        queryParams = {}
        headerParams = {}

        
        if ('_token_' in params):
            queryParams['_token_'] = self.apiClient.toPathValue(params['_token_'])
        

        

        

        postData = (params['body'] if 'body' in params else None)

        response = self.apiClient.callAPI(resourcePath, method, queryParams,
                                          postData, headerParams)

        
        if not response:
            return None

        responseObject = self.apiClient.deserialize(response, 'list[object]')
        return responseObject
        
        
        
    
    def billing_limits_get(self, **kwargs):
        """Получить ограничения аккаунта
        

        Args:
            _token_, str: Ключ доступа, полученный при авторизации (required)
            

        Returns: object
        """

        allParams = ['_token_']

        params = locals()
        for (key, val) in params['kwargs'].items():
            if key not in allParams:
                raise TypeError("Got an unexpected keyword argument '%s' to method billing_limits_get" % key)
            params[key] = val
        del params['kwargs']

        resourcePath = '/billing/limits'
        resourcePath = resourcePath.replace('{format}', 'json')
        method = 'GET'

        queryParams = {}
        headerParams = {}

        
        if ('_token_' in params):
            queryParams['_token_'] = self.apiClient.toPathValue(params['_token_'])
        

        

        

        postData = (params['body'] if 'body' in params else None)

        response = self.apiClient.callAPI(resourcePath, method, queryParams,
                                          postData, headerParams)

        
        if not response:
            return None

        responseObject = self.apiClient.deserialize(response, 'object')
        return responseObject
        
        
        
    
    def dns_prolong_list_get(self, **kwargs):
        """Информация по продлению доменов
        

        Args:
            _token_, str: Ключ доступа, полученный при авторизации (required)
            

        Returns: list[object]
        """

        allParams = ['_token_']

        params = locals()
        for (key, val) in params['kwargs'].items():
            if key not in allParams:
                raise TypeError("Got an unexpected keyword argument '%s' to method dns_prolong_list_get" % key)
            params[key] = val
        del params['kwargs']

        resourcePath = '/dns/prolong/list'
        resourcePath = resourcePath.replace('{format}', 'json')
        method = 'GET'

        queryParams = {}
        headerParams = {}

        
        if ('_token_' in params):
            queryParams['_token_'] = self.apiClient.toPathValue(params['_token_'])
        

        

        

        postData = (params['body'] if 'body' in params else None)

        response = self.apiClient.callAPI(resourcePath, method, queryParams,
                                          postData, headerParams)

        
        if not response:
            return None

        responseObject = self.apiClient.deserialize(response, 'list[object]')
        return responseObject
        
        
        
    
    def email_add_get(self, **kwargs):
        """Создание почтового ящика
        

        Args:
            _token_, str: Ключ доступа, полученный при авторизации (required)
            add_email, str: Адрес почтового ящика, который необходимо создать (required)
            

        Returns: str
        """

        allParams = ['_token_', 'add_email']

        params = locals()
        for (key, val) in params['kwargs'].items():
            if key not in allParams:
                raise TypeError("Got an unexpected keyword argument '%s' to method email_add_get" % key)
            params[key] = val
        del params['kwargs']

        resourcePath = '/email/add'
        resourcePath = resourcePath.replace('{format}', 'json')
        method = 'GET'

        queryParams = {}
        headerParams = {}

        
        if ('_token_' in params):
            queryParams['_token_'] = self.apiClient.toPathValue(params['_token_'])
        
        if ('add_email' in params):
            queryParams['add_email'] = self.apiClient.toPathValue(params['add_email'])
        

        

        

        postData = (params['body'] if 'body' in params else None)

        response = self.apiClient.callAPI(resourcePath, method, queryParams,
                                          postData, headerParams)

        
        if not response:
            return None

        responseObject = self.apiClient.deserialize(response, 'str')
        return responseObject
        
        
        
    
    def email_alias_delete_get(self, **kwargs):
        """Удаление псевдонимов почтовых ящиков
        

        Args:
            _token_, str: Ключ доступа, полученный при авторизации (required)
            _key_, str: Адрес почтового ящика, подлежащего удалению (required)
            

        Returns: str
        """

        allParams = ['_token_', '_key_']

        params = locals()
        for (key, val) in params['kwargs'].items():
            if key not in allParams:
                raise TypeError("Got an unexpected keyword argument '%s' to method email_alias_delete_get" % key)
            params[key] = val
        del params['kwargs']

        resourcePath = '/email/alias/delete'
        resourcePath = resourcePath.replace('{format}', 'json')
        method = 'GET'

        queryParams = {}
        headerParams = {}

        
        if ('_token_' in params):
            queryParams['_token_'] = self.apiClient.toPathValue(params['_token_'])
        
        if ('_key_' in params):
            queryParams['_key_'] = self.apiClient.toPathValue(params['_key_'])
        

        

        

        postData = (params['body'] if 'body' in params else None)

        response = self.apiClient.callAPI(resourcePath, method, queryParams,
                                          postData, headerParams)

        
        if not response:
            return None

        responseObject = self.apiClient.deserialize(response, 'str')
        return responseObject
        
        
        
    
    def email_alias_list_get(self, **kwargs):
        """Получить список псевдонимов почтовых ящиков
        

        Args:
            _token_, str: Ключ доступа, полученный при авторизации (required)
            

        Returns: list[object]
        """

        allParams = ['_token_']

        params = locals()
        for (key, val) in params['kwargs'].items():
            if key not in allParams:
                raise TypeError("Got an unexpected keyword argument '%s' to method email_alias_list_get" % key)
            params[key] = val
        del params['kwargs']

        resourcePath = '/email/alias/list'
        resourcePath = resourcePath.replace('{format}', 'json')
        method = 'GET'

        queryParams = {}
        headerParams = {}

        
        if ('_token_' in params):
            queryParams['_token_'] = self.apiClient.toPathValue(params['_token_'])
        

        

        

        postData = (params['body'] if 'body' in params else None)

        response = self.apiClient.callAPI(resourcePath, method, queryParams,
                                          postData, headerParams)

        
        if not response:
            return None

        responseObject = self.apiClient.deserialize(response, 'list[object]')
        return responseObject
        
        
        
    
    def email_delete_get(self, **kwargs):
        """Удаление почтового ящика
        

        Args:
            _token_, str: Ключ доступа, полученный при авторизации (required)
            _key_, str: Адрес почтового ящика, подлежащего удалению (required)
            

        Returns: str
        """

        allParams = ['_token_', '_key_']

        params = locals()
        for (key, val) in params['kwargs'].items():
            if key not in allParams:
                raise TypeError("Got an unexpected keyword argument '%s' to method email_delete_get" % key)
            params[key] = val
        del params['kwargs']

        resourcePath = '/email/delete'
        resourcePath = resourcePath.replace('{format}', 'json')
        method = 'GET'

        queryParams = {}
        headerParams = {}

        
        if ('_token_' in params):
            queryParams['_token_'] = self.apiClient.toPathValue(params['_token_'])
        
        if ('_key_' in params):
            queryParams['_key_'] = self.apiClient.toPathValue(params['_key_'])
        

        

        

        postData = (params['body'] if 'body' in params else None)

        response = self.apiClient.callAPI(resourcePath, method, queryParams,
                                          postData, headerParams)

        
        if not response:
            return None

        responseObject = self.apiClient.deserialize(response, 'str')
        return responseObject
        
        
        
    
    def email_list_get(self, **kwargs):
        """Получить список почтовых ящиков
        

        Args:
            _token_, str: Ключ доступа, полученный при авторизации (required)
            

        Returns: list[object]
        """

        allParams = ['_token_']

        params = locals()
        for (key, val) in params['kwargs'].items():
            if key not in allParams:
                raise TypeError("Got an unexpected keyword argument '%s' to method email_list_get" % key)
            params[key] = val
        del params['kwargs']

        resourcePath = '/email/list'
        resourcePath = resourcePath.replace('{format}', 'json')
        method = 'GET'

        queryParams = {}
        headerParams = {}

        
        if ('_token_' in params):
            queryParams['_token_'] = self.apiClient.toPathValue(params['_token_'])
        

        

        

        postData = (params['body'] if 'body' in params else None)

        response = self.apiClient.callAPI(resourcePath, method, queryParams,
                                          postData, headerParams)

        
        if not response:
            return None

        responseObject = self.apiClient.deserialize(response, 'list[object]')
        return responseObject
        
        
        
    
    def updates_last_get(self, **kwargs):
        """Идентификатор последнего уведомления в аудите
        

        Args:
            _token_, str: Ключ доступа, полученный при авторизации (required)
            

        Returns: int
        """

        allParams = ['_token_']

        params = locals()
        for (key, val) in params['kwargs'].items():
            if key not in allParams:
                raise TypeError("Got an unexpected keyword argument '%s' to method updates_last_get" % key)
            params[key] = val
        del params['kwargs']

        resourcePath = '/updates/last'
        resourcePath = resourcePath.replace('{format}', 'json')
        method = 'GET'

        queryParams = {}
        headerParams = {}

        
        if ('_token_' in params):
            queryParams['_token_'] = self.apiClient.toPathValue(params['_token_'])
        

        

        

        postData = (params['body'] if 'body' in params else None)

        response = self.apiClient.callAPI(resourcePath, method, queryParams,
                                          postData, headerParams)

        
        if not response:
            return None

        responseObject = self.apiClient.deserialize(response, 'int')
        return responseObject
        
        
        
    
    def updates_list_get(self, **kwargs):
        """Список записей аудита
        

        Args:
            _token_, str: Ключ доступа, полученный при авторизации (required)
            _key_, int: ID первой записи для показа или 0 для показа всех записей (required)
            

        Returns: list[object]
        """

        allParams = ['_token_', '_key_']

        params = locals()
        for (key, val) in params['kwargs'].items():
            if key not in allParams:
                raise TypeError("Got an unexpected keyword argument '%s' to method updates_list_get" % key)
            params[key] = val
        del params['kwargs']

        resourcePath = '/updates/list'
        resourcePath = resourcePath.replace('{format}', 'json')
        method = 'GET'

        queryParams = {}
        headerParams = {}

        
        if ('_token_' in params):
            queryParams['_token_'] = self.apiClient.toPathValue(params['_token_'])
        
        if ('_key_' in params):
            queryParams['_key_'] = self.apiClient.toPathValue(params['_key_'])
        

        

        

        postData = (params['body'] if 'body' in params else None)

        response = self.apiClient.callAPI(resourcePath, method, queryParams,
                                          postData, headerParams)

        
        if not response:
            return None

        responseObject = self.apiClient.deserialize(response, 'list[object]')
        return responseObject
        
        
        
    
    def website_delete_get(self, **kwargs):
        """Удаление сайта
        

        Args:
            _token_, str: Ключ доступа, полученный при авторизации (required)
            _key_, str: ID сайта, полученный из /website/list (required)
            

        Returns: str
        """

        allParams = ['_token_', '_key_']

        params = locals()
        for (key, val) in params['kwargs'].items():
            if key not in allParams:
                raise TypeError("Got an unexpected keyword argument '%s' to method website_delete_get" % key)
            params[key] = val
        del params['kwargs']

        resourcePath = '/website/delete'
        resourcePath = resourcePath.replace('{format}', 'json')
        method = 'GET'

        queryParams = {}
        headerParams = {}

        
        if ('_token_' in params):
            queryParams['_token_'] = self.apiClient.toPathValue(params['_token_'])
        
        if ('_key_' in params):
            queryParams['_key_'] = self.apiClient.toPathValue(params['_key_'])
        

        

        

        postData = (params['body'] if 'body' in params else None)

        response = self.apiClient.callAPI(resourcePath, method, queryParams,
                                          postData, headerParams)

        
        if not response:
            return None

        responseObject = self.apiClient.deserialize(response, 'str')
        return responseObject
        
        
        
    
    def website_list_get(self, **kwargs):
        """Список сайтов аккаунта
        

        Args:
            _token_, str: Ключ доступа, полученный при авторизации (required)
            

        Returns: list[object]
        """

        allParams = ['_token_']

        params = locals()
        for (key, val) in params['kwargs'].items():
            if key not in allParams:
                raise TypeError("Got an unexpected keyword argument '%s' to method website_list_get" % key)
            params[key] = val
        del params['kwargs']

        resourcePath = '/website/list'
        resourcePath = resourcePath.replace('{format}', 'json')
        method = 'GET'

        queryParams = {}
        headerParams = {}

        
        if ('_token_' in params):
            queryParams['_token_'] = self.apiClient.toPathValue(params['_token_'])
        

        

        

        postData = (params['body'] if 'body' in params else None)

        response = self.apiClient.callAPI(resourcePath, method, queryParams,
                                          postData, headerParams)

        
        if not response:
            return None

        responseObject = self.apiClient.deserialize(response, 'list[object]')
        return responseObject
        
        
        
    


