#!/usr/bin/env python
"""
AuthAPIApi.py
Copyright 2015 SmartBear Software

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

NOTE: This class is auto generated by the swagger code generator program. Do not edit the class manually.
"""
import sys
import os

from .models import *


class AuthAPIApi(object):

    def __init__(self, apiClient):
      self.apiClient = apiClient

    
    
    def auth_login_post(self, **kwargs):
        """Получить ключ доступа
        Возвращает ключ доступа, с которым в дальнейшем будут осуществляться всё взаимодействие с API\n	(параметр 'token'). Для вычисления значения параметра 'response' необходимо получить представленную в hex MD5-сумму от\n	объединения строк пароля пользователя, полученной соли и символа переноса строки. Псевдокод операции:\n	hex(md5(password&nbsp;+&nbsp;salt&nbsp;+&nbsp;'\n'))

        Args:
            login, str: Имя пользователя (required)
            salt, str: Соль (см. /auth/start) (required)
            response, str: Вычисленный хэш (required)
            

        Returns: str
        """

        allParams = ['login', 'salt', 'response']

        params = locals()
        for (key, val) in params['kwargs'].items():
            if key not in allParams:
                raise TypeError("Got an unexpected keyword argument '%s' to method auth_login_post" % key)
            params[key] = val
        del params['kwargs']

        resourcePath = '/auth/login'
        resourcePath = resourcePath.replace('{format}', 'json')
        method = 'POST'

        queryParams = {}
        headerParams = {}

        
        if ('login' in params):
            queryParams['login'] = self.apiClient.toPathValue(params['login'])
        
        if ('salt' in params):
            queryParams['salt'] = self.apiClient.toPathValue(params['salt'])
        
        if ('response' in params):
            queryParams['response'] = self.apiClient.toPathValue(params['response'])
        

        

        

        postData = (params['body'] if 'body' in params else None)

        response = self.apiClient.callAPI(resourcePath, method, queryParams,
                                          postData, headerParams)

        
        if not response:
            return None

        responseObject = self.apiClient.deserialize(response, 'str')
        return responseObject
        
        
        
    
    def auth_start_get(self, **kwargs):
        """Получить соль
        Возвращает соль для авторизации. Это первый этап идентификации пользователя. Затем соль используется\n	во втором, окончательном этапе авторизации, в запросе /auth/login. Запрос не требует дополнительных параметров.

        Args:
            login, str: Имя пользователя (required)
            

        Returns: str
        """

        allParams = ['login']

        params = locals()
        for (key, val) in params['kwargs'].items():
            if key not in allParams:
                raise TypeError("Got an unexpected keyword argument '%s' to method auth_start_get" % key)
            params[key] = val
        del params['kwargs']

        resourcePath = '/auth/start'
        resourcePath = resourcePath.replace('{format}', 'json')
        method = 'GET'

        queryParams = {}
        headerParams = {}

        
        if ('login' in params):
            queryParams['login'] = self.apiClient.toPathValue(params['login'])
        

        

        

        postData = (params['body'] if 'body' in params else None)

        response = self.apiClient.callAPI(resourcePath, method, queryParams,
                                          postData, headerParams)

        
        if not response:
            return None

        responseObject = self.apiClient.deserialize(response, 'str')
        return responseObject
        
        
        
    


