#!/usr/bin/env python
"""
DNSApi.py
Copyright 2015 SmartBear Software

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

NOTE: This class is auto generated by the swagger code generator program. Do not edit the class manually.
"""
import sys
import os

from .models import *


class DNSApi(object):

    def __init__(self, apiClient):
      self.apiClient = apiClient

    
    
    def dns_add_get(self, **kwargs):
        """Создание записи домена
        

        Args:
            _token_, str: Ключ доступа, полученный при авторизации (required)
            add_dns_zone, str: зона, которую необходимо создать (required)
            add_dns_record, str:  (required)
            iis_site_for_dns, str: ID сайта из /website/list, либо IP-адрес виртуального сервера, к которому необходимо сделать привязку (required)
            bind_only, bool:  (required)
            

        Returns: str
        """

        allParams = ['_token_', 'add_dns_zone', 'add_dns_record', 'iis_site_for_dns', 'bind_only']

        params = locals()
        for (key, val) in params['kwargs'].items():
            if key not in allParams:
                raise TypeError("Got an unexpected keyword argument '%s' to method dns_add_get" % key)
            params[key] = val
        del params['kwargs']

        resourcePath = '/dns/add'
        resourcePath = resourcePath.replace('{format}', 'json')
        method = 'GET'

        queryParams = {}
        headerParams = {}

        
        if ('_token_' in params):
            queryParams['_token_'] = self.apiClient.toPathValue(params['_token_'])
        
        if ('add_dns_zone' in params):
            queryParams['add_dns_zone'] = self.apiClient.toPathValue(params['add_dns_zone'])
        
        if ('add_dns_record' in params):
            queryParams['add_dns_record'] = self.apiClient.toPathValue(params['add_dns_record'])
        
        if ('iis_site_for_dns' in params):
            queryParams['iis_site_for_dns'] = self.apiClient.toPathValue(params['iis_site_for_dns'])
        
        if ('bind_only' in params):
            queryParams['bind_only'] = self.apiClient.toPathValue(params['bind_only'])
        

        

        

        postData = (params['body'] if 'body' in params else None)

        response = self.apiClient.callAPI(resourcePath, method, queryParams,
                                          postData, headerParams)

        
        if not response:
            return None

        responseObject = self.apiClient.deserialize(response, 'str')
        return responseObject
        
        
        
    
    def dns_bind_get(self, **kwargs):
        """Привязка одного домена к другому
        

        Args:
            _token_, str: Ключ доступа, полученный при авторизации (required)
            _key_, int: ID домена из списка /dns/list (required)
            bind_to, str: домен, к которому необходимо сделать привязку (required)
            

        Returns: str
        """

        allParams = ['_token_', '_key_', 'bind_to']

        params = locals()
        for (key, val) in params['kwargs'].items():
            if key not in allParams:
                raise TypeError("Got an unexpected keyword argument '%s' to method dns_bind_get" % key)
            params[key] = val
        del params['kwargs']

        resourcePath = '/dns/bind'
        resourcePath = resourcePath.replace('{format}', 'json')
        method = 'GET'

        queryParams = {}
        headerParams = {}

        
        if ('_token_' in params):
            queryParams['_token_'] = self.apiClient.toPathValue(params['_token_'])
        
        if ('_key_' in params):
            queryParams['_key_'] = self.apiClient.toPathValue(params['_key_'])
        
        if ('bind_to' in params):
            queryParams['bind_to'] = self.apiClient.toPathValue(params['bind_to'])
        

        

        

        postData = (params['body'] if 'body' in params else None)

        response = self.apiClient.callAPI(resourcePath, method, queryParams,
                                          postData, headerParams)

        
        if not response:
            return None

        responseObject = self.apiClient.deserialize(response, 'str')
        return responseObject
        
        
        
    
    def dns_list_get(self, **kwargs):
        """Получить список доменных имён
        

        Args:
            _token_, str: Ключ доступа, полученный при авторизации (required)
            

        Returns: list[object]
        """

        allParams = ['_token_']

        params = locals()
        for (key, val) in params['kwargs'].items():
            if key not in allParams:
                raise TypeError("Got an unexpected keyword argument '%s' to method dns_list_get" % key)
            params[key] = val
        del params['kwargs']

        resourcePath = '/dns/list'
        resourcePath = resourcePath.replace('{format}', 'json')
        method = 'GET'

        queryParams = {}
        headerParams = {}

        
        if ('_token_' in params):
            queryParams['_token_'] = self.apiClient.toPathValue(params['_token_'])
        

        

        

        postData = (params['body'] if 'body' in params else None)

        response = self.apiClient.callAPI(resourcePath, method, queryParams,
                                          postData, headerParams)

        
        if not response:
            return None

        responseObject = self.apiClient.deserialize(response, 'list[object]')
        return responseObject
        
        
        
    
    def dns_prolong_list_get(self, **kwargs):
        """Информация по продлению доменов
        

        Args:
            _token_, str: Ключ доступа, полученный при авторизации (required)
            

        Returns: list[object]
        """

        allParams = ['_token_']

        params = locals()
        for (key, val) in params['kwargs'].items():
            if key not in allParams:
                raise TypeError("Got an unexpected keyword argument '%s' to method dns_prolong_list_get" % key)
            params[key] = val
        del params['kwargs']

        resourcePath = '/dns/prolong/list'
        resourcePath = resourcePath.replace('{format}', 'json')
        method = 'GET'

        queryParams = {}
        headerParams = {}

        
        if ('_token_' in params):
            queryParams['_token_'] = self.apiClient.toPathValue(params['_token_'])
        

        

        

        postData = (params['body'] if 'body' in params else None)

        response = self.apiClient.callAPI(resourcePath, method, queryParams,
                                          postData, headerParams)

        
        if not response:
            return None

        responseObject = self.apiClient.deserialize(response, 'list[object]')
        return responseObject
        
        
        
    
    def dns_raw_get(self, **kwargs):
        """Редактирование \"сырой\" зоны
        

        Args:
            _token_, str: Ключ доступа, полученный при авторизации (required)
            _key_, int: ID домена из /dns/list (required)
            s_del, int: Значение '1' сообщает, что запись необходимо удалить (required)
            s_add, int: Значение '1' сообщает, что запись необходимо создать (required)
            dns_type, str: Тип записи: A, MX, CNAME, AAAA, NS, TXT, SRV (required)
            dns_name, str: Имя записи, либо '@' для корневой (required)
            dns_value, str: Содержание записи (для A это IP-адрес, для CNAME имя, для MX приоритет и назначение) (required)
            

        Returns: str
        """

        allParams = ['_token_', '_key_', 's_del', 's_add', 'dns_type', 'dns_name', 'dns_value']

        params = locals()
        for (key, val) in params['kwargs'].items():
            if key not in allParams:
                raise TypeError("Got an unexpected keyword argument '%s' to method dns_raw_get" % key)
            params[key] = val
        del params['kwargs']

        resourcePath = '/dns/raw'
        resourcePath = resourcePath.replace('{format}', 'json')
        method = 'GET'

        queryParams = {}
        headerParams = {}

        
        if ('_token_' in params):
            queryParams['_token_'] = self.apiClient.toPathValue(params['_token_'])
        
        if ('_key_' in params):
            queryParams['_key_'] = self.apiClient.toPathValue(params['_key_'])
        
        if ('s_del' in params):
            queryParams['s_del'] = self.apiClient.toPathValue(params['s_del'])
        
        if ('s_add' in params):
            queryParams['s_add'] = self.apiClient.toPathValue(params['s_add'])
        
        if ('dns_type' in params):
            queryParams['dns_type'] = self.apiClient.toPathValue(params['dns_type'])
        
        if ('dns_name' in params):
            queryParams['dns_name'] = self.apiClient.toPathValue(params['dns_name'])
        
        if ('dns_value' in params):
            queryParams['dns_value'] = self.apiClient.toPathValue(params['dns_value'])
        

        

        

        postData = (params['body'] if 'body' in params else None)

        response = self.apiClient.callAPI(resourcePath, method, queryParams,
                                          postData, headerParams)

        
        if not response:
            return None

        responseObject = self.apiClient.deserialize(response, 'str')
        return responseObject
        
        
        
    
    def dns_raw_managedmx_get(self, **kwargs):
        """Редактировать DNS-зону
        

        Args:
            _token_, str: Ключ доступа, полученный при авторизации (required)
            _key_, int: ID домена из /dns/list (required)
            managed_mx, int: Значение '1', если необходимо включить поддержку на MX-серверах хостинга и '0', если выключить (required)
            upd_managed_mx, int: Значение '1' подтверждает операцию (required)
            

        Returns: str
        """

        allParams = ['_token_', '_key_', 'managed_mx', 'upd_managed_mx']

        params = locals()
        for (key, val) in params['kwargs'].items():
            if key not in allParams:
                raise TypeError("Got an unexpected keyword argument '%s' to method dns_raw_managedmx_get" % key)
            params[key] = val
        del params['kwargs']

        resourcePath = '/dns/raw/managedmx'
        resourcePath = resourcePath.replace('{format}', 'json')
        method = 'GET'

        queryParams = {}
        headerParams = {}

        
        if ('_token_' in params):
            queryParams['_token_'] = self.apiClient.toPathValue(params['_token_'])
        
        if ('_key_' in params):
            queryParams['_key_'] = self.apiClient.toPathValue(params['_key_'])
        
        if ('managed_mx' in params):
            queryParams['managed_mx'] = self.apiClient.toPathValue(params['managed_mx'])
        
        if ('upd_managed_mx' in params):
            queryParams['upd_managed_mx'] = self.apiClient.toPathValue(params['upd_managed_mx'])
        

        

        

        postData = (params['body'] if 'body' in params else None)

        response = self.apiClient.callAPI(resourcePath, method, queryParams,
                                          postData, headerParams)

        
        if not response:
            return None

        responseObject = self.apiClient.deserialize(response, 'str')
        return responseObject
        
        
        
    


