#!/usr/bin/env python
"""
VDSHyperVOpenVZApi.py
Copyright 2015 SmartBear Software

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

NOTE: This class is auto generated by the swagger code generator program. Do not edit the class manually.
"""
import sys
import os

from .models import *


class VDSHyperVOpenVZApi(object):

    def __init__(self, apiClient):
      self.apiClient = apiClient

    
    
    def vds_create_get(self, **kwargs):
        """Создание VDS
        Создание новых VDS с произвольными характеристиками

        Args:
            _token_, str: Ключ доступа, полученный при авторизации (required)
            type, str: Тип создаваемого VDS. 'vz1', 'vz2', 'vz3', 'vz4', 'vz5' или 'vds.dynamic'. По умолчанию 'vds.dynamic' (required)
            cr_hvmem, int: Количество доступной памяти в мегабайтах. По умолчанию 2048 (required)
            cr_hvdsk, int: Количество доступных гигабайт диска. По умолчанию 30 (required)
            cr_hvcpu, int: Количество ядер CPU. По умолчанию 2 (required)
            template, str: Шаблон и тип виртуализации VDS. За подробностями см. /vds/templates-list (required)
            force_memo, str:  (required)
            hv_1gb_panel_version, str:  (required)
            panel_install, bool: Необходимо ли установить панель 1Gb на VDS (required)
            

        Returns: str
        """

        allParams = ['_token_', 'type', 'cr_hvmem', 'cr_hvdsk', 'cr_hvcpu', 'template', 'force_memo', 'hv_1gb_panel_version', 'panel_install']

        params = locals()
        for (key, val) in params['kwargs'].items():
            if key not in allParams:
                raise TypeError("Got an unexpected keyword argument '%s' to method vds_create_get" % key)
            params[key] = val
        del params['kwargs']

        resourcePath = '/vds/create'
        resourcePath = resourcePath.replace('{format}', 'json')
        method = 'GET'

        queryParams = {}
        headerParams = {}

        
        if ('_token_' in params):
            queryParams['_token_'] = self.apiClient.toPathValue(params['_token_'])
        
        if ('type' in params):
            queryParams['type'] = self.apiClient.toPathValue(params['type'])
        
        if ('cr_hvmem' in params):
            queryParams['cr_hvmem'] = self.apiClient.toPathValue(params['cr_hvmem'])
        
        if ('cr_hvdsk' in params):
            queryParams['cr_hvdsk'] = self.apiClient.toPathValue(params['cr_hvdsk'])
        
        if ('cr_hvcpu' in params):
            queryParams['cr_hvcpu'] = self.apiClient.toPathValue(params['cr_hvcpu'])
        
        if ('template' in params):
            queryParams['template'] = self.apiClient.toPathValue(params['template'])
        
        if ('force_memo' in params):
            queryParams['force_memo'] = self.apiClient.toPathValue(params['force_memo'])
        
        if ('hv_1gb_panel_version' in params):
            queryParams['hv_1gb_panel_version'] = self.apiClient.toPathValue(params['hv_1gb_panel_version'])
        
        if ('panel_install' in params):
            queryParams['panel_install'] = self.apiClient.toPathValue(params['panel_install'])
        

        

        

        postData = (params['body'] if 'body' in params else None)

        response = self.apiClient.callAPI(resourcePath, method, queryParams,
                                          postData, headerParams)

        
        if not response:
            return None

        responseObject = self.apiClient.deserialize(response, 'str')
        return responseObject
        
        
        
    
    def vds_delete_get(self, **kwargs):
        """Удаление VDS
        Предоставляет функционал для удаления VDS

        Args:
            _token_, str: Ключ доступа, полученный при авторизации (required)
            _key_, int: ID виртуального сервера, полученный из /vds/list (required)
            force_critical, bool: Если true, VDS будет удален срочно (required)
            

        Returns: str
        """

        allParams = ['_token_', '_key_', 'force_critical']

        params = locals()
        for (key, val) in params['kwargs'].items():
            if key not in allParams:
                raise TypeError("Got an unexpected keyword argument '%s' to method vds_delete_get" % key)
            params[key] = val
        del params['kwargs']

        resourcePath = '/vds/delete'
        resourcePath = resourcePath.replace('{format}', 'json')
        method = 'GET'

        queryParams = {}
        headerParams = {}

        
        if ('_token_' in params):
            queryParams['_token_'] = self.apiClient.toPathValue(params['_token_'])
        
        if ('_key_' in params):
            queryParams['_key_'] = self.apiClient.toPathValue(params['_key_'])
        
        if ('force_critical' in params):
            queryParams['force_critical'] = self.apiClient.toPathValue(params['force_critical'])
        

        

        

        postData = (params['body'] if 'body' in params else None)

        response = self.apiClient.callAPI(resourcePath, method, queryParams,
                                          postData, headerParams)

        
        if not response:
            return None

        responseObject = self.apiClient.deserialize(response, 'str')
        return responseObject
        
        
        
    
    def vds_ip_list_get(self, **kwargs):
        """Список IP-адресов виртуальных серверов
        Список IP-адресов виртуальных серверов

        Args:
            _token_, str: Ключ доступа, полученный при авторизации (required)
            _key_, int: ID виртуального сервера, полученный из /vds/list (required)
            

        Returns: list[object]
        """

        allParams = ['_token_', '_key_']

        params = locals()
        for (key, val) in params['kwargs'].items():
            if key not in allParams:
                raise TypeError("Got an unexpected keyword argument '%s' to method vds_ip_list_get" % key)
            params[key] = val
        del params['kwargs']

        resourcePath = '/vds/ip/list'
        resourcePath = resourcePath.replace('{format}', 'json')
        method = 'GET'

        queryParams = {}
        headerParams = {}

        
        if ('_token_' in params):
            queryParams['_token_'] = self.apiClient.toPathValue(params['_token_'])
        
        if ('_key_' in params):
            queryParams['_key_'] = self.apiClient.toPathValue(params['_key_'])
        

        

        

        postData = (params['body'] if 'body' in params else None)

        response = self.apiClient.callAPI(resourcePath, method, queryParams,
                                          postData, headerParams)

        
        if not response:
            return None

        responseObject = self.apiClient.deserialize(response, 'list[object]')
        return responseObject
        
        
        
    
    def vds_list_get(self, **kwargs):
        """Список виртуальных серверов
        Позволяет получить список виртуальных серверов

        Args:
            _token_, str: Ключ доступа, полученный при авторизации (required)
            _key_, int: ID виртуального сервера. Если задан, то будет выдана информация только для этого VDS (required)
            

        Returns: list[object]
        """

        allParams = ['_token_', '_key_']

        params = locals()
        for (key, val) in params['kwargs'].items():
            if key not in allParams:
                raise TypeError("Got an unexpected keyword argument '%s' to method vds_list_get" % key)
            params[key] = val
        del params['kwargs']

        resourcePath = '/vds/list'
        resourcePath = resourcePath.replace('{format}', 'json')
        method = 'GET'

        queryParams = {}
        headerParams = {}

        
        if ('_token_' in params):
            queryParams['_token_'] = self.apiClient.toPathValue(params['_token_'])
        
        if ('_key_' in params):
            queryParams['_key_'] = self.apiClient.toPathValue(params['_key_'])
        

        

        

        postData = (params['body'] if 'body' in params else None)

        response = self.apiClient.callAPI(resourcePath, method, queryParams,
                                          postData, headerParams)

        
        if not response:
            return None

        responseObject = self.apiClient.deserialize(response, 'list[object]')
        return responseObject
        
        
        
    
    def vds_reboot_get(self, **kwargs):
        """Перезагрузка VDS
        Предоставляет функционал для перезагрузки VDS

        Args:
            _token_, str: Ключ доступа, полученный при авторизации (required)
            _key_, int: ID виртуального сервера, полученный из /vds/list (required)
            

        Returns: str
        """

        allParams = ['_token_', '_key_']

        params = locals()
        for (key, val) in params['kwargs'].items():
            if key not in allParams:
                raise TypeError("Got an unexpected keyword argument '%s' to method vds_reboot_get" % key)
            params[key] = val
        del params['kwargs']

        resourcePath = '/vds/reboot'
        resourcePath = resourcePath.replace('{format}', 'json')
        method = 'GET'

        queryParams = {}
        headerParams = {}

        
        if ('_token_' in params):
            queryParams['_token_'] = self.apiClient.toPathValue(params['_token_'])
        
        if ('_key_' in params):
            queryParams['_key_'] = self.apiClient.toPathValue(params['_key_'])
        

        

        

        postData = (params['body'] if 'body' in params else None)

        response = self.apiClient.callAPI(resourcePath, method, queryParams,
                                          postData, headerParams)

        
        if not response:
            return None

        responseObject = self.apiClient.deserialize(response, 'str')
        return responseObject
        
        
        
    
    def vds_templates_list_get(self, **kwargs):
        """Список шаблонов виртуальных серверов
        Позволяет получить список шаблонов виртуальных серверов

        Args:
            _token_, str: Ключ доступа, полученный при авторизации (required)
            

        Returns: list[object]
        """

        allParams = ['_token_']

        params = locals()
        for (key, val) in params['kwargs'].items():
            if key not in allParams:
                raise TypeError("Got an unexpected keyword argument '%s' to method vds_templates_list_get" % key)
            params[key] = val
        del params['kwargs']

        resourcePath = '/vds/templates-list'
        resourcePath = resourcePath.replace('{format}', 'json')
        method = 'GET'

        queryParams = {}
        headerParams = {}

        
        if ('_token_' in params):
            queryParams['_token_'] = self.apiClient.toPathValue(params['_token_'])
        

        

        

        postData = (params['body'] if 'body' in params else None)

        response = self.apiClient.callAPI(resourcePath, method, queryParams,
                                          postData, headerParams)

        
        if not response:
            return None

        responseObject = self.apiClient.deserialize(response, 'list[object]')
        return responseObject
        
        
        
    


